<form action="{{ path(action) }}"
      method="post"
      data-form-csrf-handler="true"
      data-form-validation="true">

    <div class="form-row align-items-center justify-content-center newsletter">
        {% block cms_form_newsletter_select_action %}{% endblock %}
		<div class="col-xs-12 col-md-auto col-lg-3">
			{% block cms_form_newsletter_input_email %}
			    {% sw_include '@Storefront/storefront/element/cms-element-form/form-components/cms-element-form-input.html.twig'
			        with {
			            fieldName: 'email',
			            type: 'email',
			            required: true,
			            additionalClass: 'mb-0 mr-md-3',
			            label: 'newsletter.labelMail',
			            placeholder: 'newsletter.placeholderMail'
			        }
			    %}
			{% endblock %}
		</div>
		<div class="col-xs-12 col-md-auto mt-4 mt-md-0">
			{% block cms_form_newsletter_submit %}
        	    {% sw_include '@Storefront/storefront/element/cms-element-form/form-components/cms-element-form-submit.html.twig' %}
        	{% endblock %}
        </div>

        {% block cms_form_newsletter_additional_fields %}{% endblock %}

        {% block cms_form_newsletter_captcha %}{% endblock %}
    </div>
    
    <div class="form-row justify-content-md-center">
		<div class="col col-md-auto mt-3">
        	{% block cms_form_newsletter_required_fields_info %}
        	    {# sw_include '@Storefront/storefront/element/cms-element-form/form-components/cms-element-form-info-required.html.twig' #}
        	{% endblock %}
			
        	
        	
        	{% block cms_form_newsletter_privacy %}
        	    {% sw_include '@Storefront/storefront/element/cms-element-form/form-components/cms-element-form-privacy.html.twig' %}
        	{% endblock %}
		</div>
	</div>

    {% block cms_form_newsletter_hidden_fields %}
        <div class="form-hidden-fields">
        	<input type="hidden" value="subscribe" name="option" />
            {% block cms_form_newsletter_csrf %}
                {{ sw_csrf(action) }}
            {% endblock %}

            <input type="submit" class="submit--hidden d-none" />
        </div>
    {% endblock %}
</form>
